<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_menu
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$last_items = array();
foreach( array_reverse( $list, true ) as $v ) {
	if( ! isset( $last_items[$v->parent_id] ) )
		$last_items[$v->parent_id] = $v->id;
}
$first_start = true;

// Note. It is important to remove spaces between elements.

?>
<?php // The menu class is deprecated. Use nav instead. ?>
<ul class="ok-navbar <?php echo $class_sfx;?>"<?php
	$tag = '';

	if ($params->get('tag_id') != null)
	{
		$tag = $params->get('tag_id') . '';
		echo ' id="' . $tag . '"';
	}
?>>
<?php

foreach ($list as $i => &$item)
{

	if (($item->id == $active_id) OR ($item->type == 'alias' AND $item->params->get('aliasoptions') == $active_id))
	{
		$class .= ' current';
	}

	if (in_array($item->id, $path))
	{
		$class .= ' active';
	}
	elseif ($item->type == 'alias')
	{
		$aliasToId = $item->params->get('aliasoptions');

		if (count($path) > 0 && $aliasToId == $path[count($path) - 1])
		{
			$class .= ' active';
		}
		elseif (in_array($aliasToId, $path))
		{
			$class .= ' alias-parent-active';
		}
	}

	if ($item->type == 'separator')
	{
		$class .= ' divider';
	}

/*	if ($item->deeper)
	{
		$class .= ' deeper';

	}*/

	if( $first_start ) {
		$class = ' first';
		$first_start = false;
	}
	else if( in_array( $item->id, $last_items ) ) {
		$class .= ' last';
	}

	if ($item->deeper) {
		$class .= ' deeper';
		$first_start = true;
	}


	if ($item->parent)
	{
		$class .= ' parent';
	}
//	echo 'total - ' .$counter;
//	echo '<br>dipper - ' .$total;
	if (!empty($class))
	{
		$class = ' class="' . trim($class) . '"';
	}

	echo '<li' . $class . '>';

	// Render the menu item.
	switch ($item->type) :
		case 'separator':
		case 'url':
		case 'component':
		case 'heading':
			require JModuleHelper::getLayoutPath('mod_menu', 'default_' . $item->type);
			break;

		default:
			require JModuleHelper::getLayoutPath('mod_menu', 'default_url');
			break;
	endswitch;

	// The next item is deeper.
	if ($item->deeper)
	{
		echo '<ul class="nav-child unstyled small">';
	}
	elseif ($item->shallower)
	{
		// The next item is shallower.
		echo '</li>';
		echo str_repeat('</ul></li>', $item->level_diff);
	}
	else
	{
		// The next item is on the same level.
		echo '</li>';
	}
}
?></ul>
