<?php
/**
 * @package     Joomla.Platform
 * @subpackage  Form
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('JPATH_PLATFORM') or die;
jimport('joomla.form.formfield');

/**
 * Form Field class for the Joomla Platform.
 * Display a JSON loaded window with a Bgimage set of sub fields
 *
 * @since  3.2
 */
class JFormFieldBgimage extends JFormField
{
    /**
     * The form field type.
     *
     * @var    string
     * @since  3.2
     */
    protected $type = 'Bgimage';

    /**
     * Method to get the field input markup.
     *
     * @return  string  The field input markup.
     *
     * @since   3.2
     */
    public function getLabel()
    {
        return '<span>' . parent::getLabel() . '</span>';;
    }

    protected function getInput()
    {
//        Add files, path, css, js
        $csspath = 'templates/orion_nebula/css/';
        JHTML::_('stylesheet', $csspath . 'admin.css');


        // And finaly build a main container
        $str = array();
        //top start
//        $str[] = 'Current&nbsp;<i class="fa '.$this->value.'  fa-lg"></i>&nbsp;';
        $str[] = '<select class="ok-bgimage" id="' . $this->id . '" name="' . $this->name . '" value="' . htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8') . '"  style="width:250px;">';
        $str[] = '<option value="">None</option>';
        $str[] = '<optgroup label="Associative Backgrounds">';
        $str[] = '<option class="okf-bgimage2 okf-pattern-circles" value="pattern-circles.png">Pattern-circles and stars.</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-triangle" value="pattern-triangle.png">Pattern-triangle</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern-halftone" value="pattern-halftone.png">Pattern-halftone</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-square" value="pattern-square.png">Pattern-square</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern-noise" value="pattern-noise.png">Pattern-noise for dark bg color</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-noise-for-light" value="pattern-noise-for-light.png">Pattern-noise for light bg color</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern-cloth" value="pattern-cloth.png">Pattern-cloth</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-stripes" value="pattern-stripes.png">Pattern-stripes</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern-stripes-big" value="pattern-stripes-big.png">Pattern-stripes big</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-parquetry" value="pattern-parquetry.png">Pattern-parquetry</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern-honeycomb" value="pattern-honeycomb.png">Pattern-honeycomb</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-tile" value="pattern-tile.png">Pattern-tile</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern-circles2" value="pattern-circles2.png">Pattern-circles</option>';
        $str[] = '<option class="okf-bgimage okf-pattern-desert" value="pattern-desert.png">Pattern-desert</option>';
        $str[] = '<optgroup label="Indefinite Backgrounds">';
        $str[] = '<option class="okf-bgimage2 okf-pattern1" value="pattern1.png">Pattern1</option>';
        $str[] = '<option class="okf-bgimage okf-pattern2" value="pattern2.png">Pattern2</option>';
        $str[] = '<option class="okf-bgimage2 okf-pattern3" value="pattern3.png">Pattern3</option>';
        $str[] = '<option class="okf-bgimage okf-pattern4" value="pattern4.png">Pattern4</option>';
        $str[] = '</select>';

        return implode("\n", $str);
    }
}
