<?php
/**
 * @package     Joomla.Platform
 * @subpackage  Form
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('JPATH_PLATFORM') or die;
jimport('joomla.form.formfield');

/**
 * Form Field class for the Joomla Platform.
 * Display a JSON loaded window with a Okicons set of sub fields
 *
 * @since  3.2
 */
class JFormFieldOkicons extends JFormField
{
    /**
     * The form field type.
     *
     * @var    string
     * @since  3.2
     */
    protected $type = 'Okicons';

    /**
     * Method to get the field input markup.
     *
     * @return  string  The field input markup.
     *
     * @since   3.2
     */
    public function getLabel() {

        return parent::getLabel();
//return '<div class="ok-emty-label"></div>';
    }

    protected function getInput()
    {
//        Add files, path, css, js

        $csspath = 'modules/mod_ok_icon_panel/assets/css/';
        JHTML::_('stylesheet', $csspath . 'admin.css');
        JHTML::_('stylesheet', $csspath . 'font-awesome.css');



//        JHTML::script('//jquery/jquery-1.10.2.min.js');

//        JHTML::_('script', $path . 'bootstrap.min.js');


        // And finaly build a main container
        $str = array();
        //top start
//        $str[] = 'Current&nbsp;<i class="fa '.$this->value.'  fa-lg"></i>&nbsp;';
        $str[] = '<select class="ok-icon-select" id="'.$this->id.'" name="'.$this->name.'" value="'.htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8').'"  style="background-color: #00ff00!important;">';
        $str[] = '<optgroup label="Web Application Icons">';
        $str[] = '<option class="ok-fa fa fa-adjust" value="fa fa-adjust">adjust</option>';
        $str[] = '<option class="ok-fa fa fa-anchor" value="fa fa-anchor">anchor</option>';
        $str[] = '<option class="ok-fa fa fa-archive" value="fa fa-archive">archive</option>';
        $str[] = '<option class="ok-fa fa fa-area-chart" value="fa fa-area-chart">area-chart</option>';
        $str[] = '<option class="ok-fa fa fa-arrows" value="fa fa-arrows">arrows</option>';
        $str[] = '<option class="ok-fa fa fa-arrows-h" value="fa fa-arrows-h">arrows-h</option>';
        $str[] = '<option class="ok-fa fa fa-arrows-v" value="fa fa-arrows-v">arrows-v</option>';
        $str[] = '<option class="ok-fa fa fa-asterisk" value="fa fa-asterisk">asterisk</option>';
        $str[] = '<option class="ok-fa fa fa-at" value="fa fa-at">at</option>';
        $str[] = '<option class="ok-fa fa fa-automobile" value="fa fa-automobile">automobile</option>';
        $str[] = '<option class="ok-fa fa fa-balance-scale" value="fa fa-balance-scale">balance-scale</option>';
        $str[] = '<option class="ok-fa fa fa-ban" value="fa fa-ban">ban</option>';
        $str[] = '<option class="ok-fa fa fa-bank" value="fa fa-bank">bank</option>';
        $str[] = '<option class="ok-fa fa fa-bar-chart" value="fa fa-bar-chart">bar-chart</option>';
        $str[] = '<option class="ok-fa fa fa-bar-chart-o" value="fa fa-bar-chart-o">bar-chart-o</option>';
        $str[] = '<option class="ok-fa fa fa-barcode" value="fa fa-barcode">barcode</option>';
        $str[] = '<option class="ok-fa fa fa-bars" value="fa fa-bars">bars</option>';
        $str[] = '<option class="ok-fa fa fa-battery-0" value="fa fa-battery-0">battery-0</option>';
        $str[] = '<option class="ok-fa fa fa-battery-1" value="fa fa-battery-1">battery-1</option>';
        $str[] = '<option class="ok-fa fa fa-battery-2" value="fa fa-battery-2">battery-2</option>';
        $str[] = '<option class="ok-fa fa fa-battery-3" value="fa fa-battery-3">battery-3</option>';
        $str[] = '<option class="ok-fa fa fa-battery-4" value="fa fa-battery-4">battery-4</option>';
        $str[] = '<option class="ok-fa fa fa-battery-empty" value="fa fa-battery-empty">battery-empty</option>';
        $str[] = '<option class="ok-fa fa fa-battery-full" value="fa fa-battery-full">battery-full</option>';
        $str[] = '<option class="ok-fa fa fa-battery-half" value="fa fa-battery-half">battery-half</option>';
        $str[] = '<option class="ok-fa fa fa-battery-quarter" value="fa fa-battery-quarter">battery-quarter</option>';
        $str[] = '<option class="ok-fa fa fa-battery-three-quarters" value="fa fa-battery-three-quarters">battery-three-quarters</option>';
        $str[] = '<option class="ok-fa fa fa-bed" value="fa fa-bed">bed</option>';
        $str[] = '<option class="ok-fa fa fa-beer" value="fa fa-beer">beer</option>';
        $str[] = '<option class="ok-fa fa fa-bell" value="fa fa-bell">bell</option>';
        $str[] = '<option class="ok-fa fa fa-bell-o" value="fa fa-bell-o">bell-o</option>';
        $str[] = '<option class="ok-fa fa fa-bell-slash" value="fa fa-bell-slash">bell-slash</option>';
        $str[] = '<option class="ok-fa fa fa-bell-slash-o" value="fa fa-bell-slash-o">bell-slash-o</option>';
        $str[] = '<option class="ok-fa fa fa-bicycle" value="fa fa-bicycle">bicycle</option>';
        $str[] = '<option class="ok-fa fa fa-binoculars" value="fa fa-binoculars">binoculars</option>';
        $str[] = '<option class="ok-fa fa fa-birthday-cake" value="fa fa-birthday-cake">birthday-cake</option>';
        $str[] = '<option class="ok-fa fa fa-bluetooth" value="fa fa-bluetooth">bluetooth</option>';
        $str[] = '<option class="ok-fa fa fa-bluetooth-b" value="fa fa-bluetooth-b">bluetooth-b</option>';
        $str[] = '<option class="ok-fa fa fa-bolt" value="fa fa-bolt">bolt</option>';
        $str[] = '<option class="ok-fa fa fa-bomb" value="fa fa-bomb">bomb</option>';
        $str[] = '<option class="ok-fa fa fa-book" value="fa fa-book">book</option>';
        $str[] = '<option class="ok-fa fa fa-bookmark" value="fa fa-bookmark">bookmark</option>';
        $str[] = '<option class="ok-fa fa fa-bookmark-o" value="fa fa-bookmark-o">bookmark-o</option>';
        $str[] = '<option class="ok-fa fa fa-briefcase" value="fa fa-briefcase">briefcase</option>';
        $str[] = '<option class="ok-fa fa fa-bug" value="fa fa-bug">bug</option>';
        $str[] = '<option class="ok-fa fa fa-building" value="fa fa-building">building</option>';
        $str[] = '<option class="ok-fa fa fa-building-o" value="fa fa-building-o">building-o</option>';
        $str[] = '<option class="ok-fa fa fa-bullhorn" value="fa fa-bullhorn">bullhorn</option>';
        $str[] = '<option class="ok-fa fa fa-bullseye" value="fa fa-bullseye">bullseye</option>';
        $str[] = '<option class="ok-fa fa fa-bus" value="fa fa-bus">bus</option>';
        $str[] = '<option class="ok-fa fa fa-cab" value="fa fa-cab">cab</option>';
        $str[] = '<option class="ok-fa fa fa-calculator" value="fa fa-calculator">calculator</option>';
        $str[] = '<option class="ok-fa fa fa-calendar" value="fa fa-calendar">calendar</option>';
        $str[] = '<option class="ok-fa fa fa-calendar-check-o" value="fa fa-calendar-check-o">calendar-check-o</option>';
        $str[] = '<option class="ok-fa fa fa-calendar-minus-o" value="fa fa-calendar-minus-o">calendar-minus-o</option>';
        $str[] = '<option class="ok-fa fa fa-calendar-o" value="fa fa-calendar-o">calendar-o</option>';
        $str[] = '<option class="ok-fa fa fa-calendar-plus-o" value="fa fa-calendar-plus-o">calendar-plus-o</option>';
        $str[] = '<option class="ok-fa fa fa-calendar-times-o" value="fa fa-calendar-times-o">calendar-times-o</option>';
        $str[] = '<option class="ok-fa fa fa-camera" value="fa fa-camera">camera</option>';
        $str[] = '<option class="ok-fa fa fa-camera-retro" value="fa fa-camera-retro">camera-retro</option>';
        $str[] = '<option class="ok-fa fa fa-car" value="fa fa-car">car</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-down" value="fa fa-caret-square-o-down">caret-square-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-left" value="fa fa-caret-square-o-left">caret-square-o-left</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-right" value="fa fa-caret-square-o-right">caret-square-o-right</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-up" value="fa fa-caret-square-o-up">caret-square-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-cart-arrow-down" value="fa fa-cart-arrow-down">cart-arrow-down</option>';
        $str[] = '<option class="ok-fa fa fa-cart-plus" value="fa fa-cart-plus">cart-plus</option>';
        $str[] = '<option class="ok-fa fa fa-cc" value="fa fa-cc">cc</option>';
        $str[] = '<option class="ok-fa fa fa-certificate" value="fa fa-certificate">certificate</option>';
        $str[] = '<option class="ok-fa fa fa-check" value="fa fa-check">check</option>';
        $str[] = '<option class="ok-fa fa fa-check-circle" value="fa fa-check-circle">check-circle</option>';
        $str[] = '<option class="ok-fa fa fa-check-circle-o" value="fa fa-check-circle-o">check-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-check-square" value="fa fa-check-square">check-square</option>';
        $str[] = '<option class="ok-fa fa fa-check-square-o" value="fa fa-check-square-o">check-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-child" value="fa fa-child">child</option>';
        $str[] = '<option class="ok-fa fa fa-circle" value="fa fa-circle">circle</option>';
        $str[] = '<option class="ok-fa fa fa-circle-o" value="fa fa-circle-o">circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-circle-o-notch" value="fa fa-circle-o-notch">circle-o-notch</option>';
        $str[] = '<option class="ok-fa fa fa-circle-thin" value="fa fa-circle-thin">circle-thin</option>';
        $str[] = '<option class="ok-fa fa fa-clock-o" value="fa fa-clock-o">clock-o</option>';
        $str[] = '<option class="ok-fa fa fa-clone" value="fa fa-clone">clone</option>';
        $str[] = '<option class="ok-fa fa fa-close" value="fa fa-close">close</option>';
        $str[] = '<option class="ok-fa fa fa-cloud" value="fa fa-cloud">cloud</option>';
        $str[] = '<option class="ok-fa fa fa-cloud-download" value="fa fa-cloud-download">cloud-download</option>';
        $str[] = '<option class="ok-fa fa fa-cloud-upload" value="fa fa-cloud-upload">cloud-upload</option>';
        $str[] = '<option class="ok-fa fa fa-code" value="fa fa-code">code</option>';
        $str[] = '<option class="ok-fa fa fa-code-fork" value="fa fa-code-fork">code-fork</option>';
        $str[] = '<option class="ok-fa fa fa-coffee" value="fa fa-coffee">coffee</option>';
        $str[] = '<option class="ok-fa fa fa-cog" value="fa fa-cog">cog</option>';
        $str[] = '<option class="ok-fa fa fa-cogs" value="fa fa-cogs">cogs</option>';
        $str[] = '<option class="ok-fa fa fa-comment" value="fa fa-comment">comment</option>';
        $str[] = '<option class="ok-fa fa fa-comment-o" value="fa fa-comment-o">comment-o</option>';
        $str[] = '<option class="ok-fa fa fa-commenting" value="fa fa-commenting">commenting</option>';
        $str[] = '<option class="ok-fa fa fa-commenting-o" value="fa fa-commenting-o">commenting-o</option>';
        $str[] = '<option class="ok-fa fa fa-comments" value="fa fa-comments">comments</option>';
        $str[] = '<option class="ok-fa fa fa-comments-o" value="fa fa-comments-o">comments-o</option>';
        $str[] = '<option class="ok-fa fa fa-compass" value="fa fa-compass">compass</option>';
        $str[] = '<option class="ok-fa fa fa-copyright" value="fa fa-copyright">copyright</option>';
        $str[] = '<option class="ok-fa fa fa-creative-commons" value="fa fa-creative-commons">creative-commons</option>';
        $str[] = '<option class="ok-fa fa fa-credit-card" value="fa fa-credit-card">credit-card</option>';
        $str[] = '<option class="ok-fa fa fa-credit-card-alt" value="fa fa-credit-card-alt">credit-card-alt</option>';
        $str[] = '<option class="ok-fa fa fa-crop" value="fa fa-crop">crop</option>';
        $str[] = '<option class="ok-fa fa fa-crosshairs" value="fa fa-crosshairs">crosshairs</option>';
        $str[] = '<option class="ok-fa fa fa-cube" value="fa fa-cube">cube</option>';
        $str[] = '<option class="ok-fa fa fa-cubes" value="fa fa-cubes">cubes</option>';
        $str[] = '<option class="ok-fa fa fa-cutlery" value="fa fa-cutlery">cutlery</option>';
        $str[] = '<option class="ok-fa fa fa-dashboard" value="fa fa-dashboard">dashboard</option>';
        $str[] = '<option class="ok-fa fa fa-database" value="fa fa-database">database</option>';
        $str[] = '<option class="ok-fa fa fa-desktop" value="fa fa-desktop">desktop</option>';
        $str[] = '<option class="ok-fa fa fa-diamond" value="fa fa-diamond">diamond</option>';
        $str[] = '<option class="ok-fa fa fa-dot-circle-o" value="fa fa-dot-circle-o">dot-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-download" value="fa fa-download">download</option>';
        $str[] = '<option class="ok-fa fa fa-edit" value="fa fa-edit">edit</option>';
        $str[] = '<option class="ok-fa fa fa-ellipsis-h" value="fa fa-ellipsis-h">ellipsis-h</option>';
        $str[] = '<option class="ok-fa fa fa-ellipsis-v" value="fa fa-ellipsis-v">ellipsis-v</option>';
        $str[] = '<option class="ok-fa fa fa-envelope" value="fa fa-envelope">envelope</option>';
        $str[] = '<option class="ok-fa fa fa-envelope-o" value="fa fa-envelope-o">envelope-o</option>';
        $str[] = '<option class="ok-fa fa fa-envelope-square" value="fa fa-envelope-square">envelope-square</option>';
        $str[] = '<option class="ok-fa fa fa-eraser" value="fa fa-eraser">eraser</option>';
        $str[] = '<option class="ok-fa fa fa-exchange" value="fa fa-exchange">exchange</option>';
        $str[] = '<option class="ok-fa fa fa-exclamation" value="fa fa-exclamation">exclamation</option>';
        $str[] = '<option class="ok-fa fa fa-exclamation-circle" value="fa fa-exclamation-circle">exclamation-circle</option>';
        $str[] = '<option class="ok-fa fa fa-exclamation-triangle" value="fa fa-exclamation-triangle">exclamation-triangle</option>';
        $str[] = '<option class="ok-fa fa fa-external-link" value="fa fa-external-link">external-link</option>';
        $str[] = '<option class="ok-fa fa fa-external-link-square" value="fa fa-external-link-square">external-link-square</option>';
        $str[] = '<option class="ok-fa fa fa-eye" value="fa fa-eye">eye</option>';
        $str[] = '<option class="ok-fa fa fa-eye-slash" value="fa fa-eye-slash">eye-slash</option>';
        $str[] = '<option class="ok-fa fa fa-eyedropper" value="fa fa-eyedropper">eyedropper</option>';
        $str[] = '<option class="ok-fa fa fa-fax" value="fa fa-fax">fax</option>';
        $str[] = '<option class="ok-fa fa fa-feed" value="fa fa-feed">feed</option>';
        $str[] = '<option class="ok-fa fa fa-female" value="fa fa-female">female</option>';
        $str[] = '<option class="ok-fa fa fa-fighter-jet" value="fa fa-fighter-jet">fighter-jet</option>';
        $str[] = '<option class="ok-fa fa fa-file-archive-o" value="fa fa-file-archive-o">file-archive-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-audio-o" value="fa fa-file-audio-o">file-audio-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-code-o" value="fa fa-file-code-o">file-code-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-excel-o" value="fa fa-file-excel-o">file-excel-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-image-o" value="fa fa-file-image-o">file-image-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-movie-o" value="fa fa-file-movie-o">file-movie-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-pdf-o" value="fa fa-file-pdf-o">file-pdf-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-photo-o" value="fa fa-file-photo-o">file-photo-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-picture-o" value="fa fa-file-picture-o">file-picture-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-powerpoint-o" value="fa fa-file-powerpoint-o">file-powerpoint-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-sound-o" value="fa fa-file-sound-o">file-sound-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-video-o" value="fa fa-file-video-o">file-video-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-word-o" value="fa fa-file-word-o">file-word-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-zip-o" value="fa fa-file-zip-o">file-zip-o</option>';
        $str[] = '<option class="ok-fa fa fa-film" value="fa fa-film">film</option>';
        $str[] = '<option class="ok-fa fa fa-filter" value="fa fa-filter">filter</option>';
        $str[] = '<option class="ok-fa fa fa-fire" value="fa fa-fire">fire</option>';
        $str[] = '<option class="ok-fa fa fa-fire-extinguisher" value="fa fa-fire-extinguisher">fire-extinguisher</option>';
        $str[] = '<option class="ok-fa fa fa-flag" value="fa fa-flag">flag</option>';
        $str[] = '<option class="ok-fa fa fa-flag-checkered" value="fa fa-flag-checkered">flag-checkered</option>';
        $str[] = '<option class="ok-fa fa fa-flag-o" value="fa fa-flag-o">flag-o</option>';
        $str[] = '<option class="ok-fa fa fa-flash" value="fa fa-flash">flash</option>';
        $str[] = '<option class="ok-fa fa fa-flask" value="fa fa-flask">flask</option>';
        $str[] = '<option class="ok-fa fa fa-folder" value="fa fa-folder">folder</option>';
        $str[] = '<option class="ok-fa fa fa-folder-o" value="fa fa-folder-o">folder-o</option>';
        $str[] = '<option class="ok-fa fa fa-folder-open" value="fa fa-folder-open">folder-open</option>';
        $str[] = '<option class="ok-fa fa fa-folder-open-o" value="fa fa-folder-open-o">folder-open-o</option>';
        $str[] = '<option class="ok-fa fa fa-frown-o" value="fa fa-frown-o">frown-o</option>';
        $str[] = '<option class="ok-fa fa fa-futbol-o" value="fa fa-futbol-o">futbol-o</option>';
        $str[] = '<option class="ok-fa fa fa-gamepad" value="fa fa-gamepad">gamepad</option>';
        $str[] = '<option class="ok-fa fa fa-gavel" value="fa fa-gavel">gavel</option>';
        $str[] = '<option class="ok-fa fa fa-gear" value="fa fa-gear">gear</option>';
        $str[] = '<option class="ok-fa fa fa-gears" value="fa fa-gears">gears</option>';
        $str[] = '<option class="ok-fa fa fa-gift" value="fa fa-gift">gift</option>';
        $str[] = '<option class="ok-fa fa fa-glass" value="fa fa-glass">glass</option>';
        $str[] = '<option class="ok-fa fa fa-globe" value="fa fa-globe">globe</option>';
        $str[] = '<option class="ok-fa fa fa-graduation-cap" value="fa fa-graduation-cap">graduation-cap</option>';
        $str[] = '<option class="ok-fa fa fa-group" value="fa fa-group">group</option>';
        $str[] = '<option class="ok-fa fa fa-hand-grab-o" value="fa fa-hand-grab-o">hand-grab-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-lizard-o" value="fa fa-hand-lizard-o">hand-lizard-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-paper-o" value="fa fa-hand-paper-o">hand-paper-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-peace-o" value="fa fa-hand-peace-o">hand-peace-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-pointer-o" value="fa fa-hand-pointer-o">hand-pointer-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-rock-o" value="fa fa-hand-rock-o">hand-rock-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-scissors-o" value="fa fa-hand-scissors-o">hand-scissors-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-spock-o" value="fa fa-hand-spock-o">hand-spock-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-stop-o" value="fa fa-hand-stop-o">hand-stop-o</option>';
        $str[] = '<option class="ok-fa fa fa-hashtag" value="fa fa-hashtag">hashtag</option>';
        $str[] = '<option class="ok-fa fa fa-hdd-o" value="fa fa-hdd-o">hdd-o</option>';
        $str[] = '<option class="ok-fa fa fa-headphones" value="fa fa-headphones">headphones</option>';
        $str[] = '<option class="ok-fa fa fa-heart" value="fa fa-heart">heart</option>';
        $str[] = '<option class="ok-fa fa fa-heart-o" value="fa fa-heart-o">heart-o</option>';
        $str[] = '<option class="ok-fa fa fa-heartbeat" value="fa fa-heartbeat">heartbeat</option>';
        $str[] = '<option class="ok-fa fa fa-history" value="fa fa-history">history</option>';
        $str[] = '<option class="ok-fa fa fa-home" value="fa fa-home">home</option>';
        $str[] = '<option class="ok-fa fa fa-hotel" value="fa fa-hotel">hotel</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass" value="fa fa-hourglass">hourglass</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-1" value="fa fa-hourglass-1">hourglass-1</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-2" value="fa fa-hourglass-2">hourglass-2</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-3" value="fa fa-hourglass-3">hourglass-3</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-end" value="fa fa-hourglass-end">hourglass-end</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-half" value="fa fa-hourglass-half">hourglass-half</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-o" value="fa fa-hourglass-o">hourglass-o</option>';
        $str[] = '<option class="ok-fa fa fa-hourglass-start" value="fa fa-hourglass-start">hourglass-start</option>';
        $str[] = '<option class="ok-fa fa fa-i-cursor" value="fa fa-i-cursor">i-cursor</option>';
        $str[] = '<option class="ok-fa fa fa-image" value="fa fa-image">image</option>';
        $str[] = '<option class="ok-fa fa fa-inbox" value="fa fa-inbox">inbox</option>';
        $str[] = '<option class="ok-fa fa fa-industry" value="fa fa-industry">industry</option>';
        $str[] = '<option class="ok-fa fa fa-info" value="fa fa-info">info</option>';
        $str[] = '<option class="ok-fa fa fa-info-circle" value="fa fa-info-circle">info-circle</option>';
        $str[] = '<option class="ok-fa fa fa-institution" value="fa fa-institution">institution</option>';
        $str[] = '<option class="ok-fa fa fa-key" value="fa fa-key">key</option>';
        $str[] = '<option class="ok-fa fa fa-keyboard-o" value="fa fa-keyboard-o">keyboard-o</option>';
        $str[] = '<option class="ok-fa fa fa-language" value="fa fa-language">language</option>';
        $str[] = '<option class="ok-fa fa fa-laptop" value="fa fa-laptop">laptop</option>';
        $str[] = '<option class="ok-fa fa fa-leaf" value="fa fa-leaf">leaf</option>';
        $str[] = '<option class="ok-fa fa fa-legal" value="fa fa-legal">legal</option>';
        $str[] = '<option class="ok-fa fa fa-lemon-o" value="fa fa-lemon-o">lemon-o</option>';
        $str[] = '<option class="ok-fa fa fa-level-down" value="fa fa-level-down">level-down</option>';
        $str[] = '<option class="ok-fa fa fa-level-up" value="fa fa-level-up">level-up</option>';
        $str[] = '<option class="ok-fa fa fa-life-bouy" value="fa fa-life-bouy">life-bouy</option>';
        $str[] = '<option class="ok-fa fa fa-life-buoy" value="fa fa-life-buoy">life-buoy</option>';
        $str[] = '<option class="ok-fa fa fa-life-ring" value="fa fa-life-ring">life-ring</option>';
        $str[] = '<option class="ok-fa fa fa-life-saver" value="fa fa-life-saver">life-saver</option>';
        $str[] = '<option class="ok-fa fa fa-lightbulb-o" value="fa fa-lightbulb-o">lightbulb-o</option>';
        $str[] = '<option class="ok-fa fa fa-line-chart" value="fa fa-line-chart">line-chart</option>';
        $str[] = '<option class="ok-fa fa fa-location-arrow" value="fa fa-location-arrow">location-arrow</option>';
        $str[] = '<option class="ok-fa fa fa-lock" value="fa fa-lock">lock</option>';
        $str[] = '<option class="ok-fa fa fa-magic" value="fa fa-magic">magic</option>';
        $str[] = '<option class="ok-fa fa fa-magnet" value="fa fa-magnet">magnet</option>';
        $str[] = '<option class="ok-fa fa fa-mail-forward" value="fa fa-mail-forward">mail-forward</option>';
        $str[] = '<option class="ok-fa fa fa-mail-reply" value="fa fa-mail-reply">mail-reply</option>';
        $str[] = '<option class="ok-fa fa fa-mail-reply-all" value="fa fa-mail-reply-all">mail-reply-all</option>';
        $str[] = '<option class="ok-fa fa fa-male" value="fa fa-male">male</option>';
        $str[] = '<option class="ok-fa fa fa-map" value="fa fa-map">map</option>';
        $str[] = '<option class="ok-fa fa fa-map-marker" value="fa fa-map-marker">map-marker</option>';
        $str[] = '<option class="ok-fa fa fa-map-o" value="fa fa-map-o">map-o</option>';
        $str[] = '<option class="ok-fa fa fa-map-pin" value="fa fa-map-pin">map-pin</option>';
        $str[] = '<option class="ok-fa fa fa-map-signs" value="fa fa-map-signs">map-signs</option>';
        $str[] = '<option class="ok-fa fa fa-meh-o" value="fa fa-meh-o">meh-o</option>';
        $str[] = '<option class="ok-fa fa fa-microphone" value="fa fa-microphone">microphone</option>';
        $str[] = '<option class="ok-fa fa fa-microphone-slash" value="fa fa-microphone-slash">microphone-slash</option>';
        $str[] = '<option class="ok-fa fa fa-minus" value="fa fa-minus">minus</option>';
        $str[] = '<option class="ok-fa fa fa-minus-circle" value="fa fa-minus-circle">minus-circle</option>';
        $str[] = '<option class="ok-fa fa fa-minus-square" value="fa fa-minus-square">minus-square</option>';
        $str[] = '<option class="ok-fa fa fa-minus-square-o" value="fa fa-minus-square-o">minus-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-mobile" value="fa fa-mobile">mobile</option>';
        $str[] = '<option class="ok-fa fa fa-mobile-phone" value="fa fa-mobile-phone">mobile-phone</option>';
        $str[] = '<option class="ok-fa fa fa-money" value="fa fa-money">money</option>';
        $str[] = '<option class="ok-fa fa fa-moon-o" value="fa fa-moon-o">moon-o</option>';
        $str[] = '<option class="ok-fa fa fa-mortar-board" value="fa fa-mortar-board">mortar-board</option>';
        $str[] = '<option class="ok-fa fa fa-motorcycle" value="fa fa-motorcycle">motorcycle</option>';
        $str[] = '<option class="ok-fa fa fa-mouse-pointer" value="fa fa-mouse-pointer">mouse-pointer</option>';
        $str[] = '<option class="ok-fa fa fa-music" value="fa fa-music">music</option>';
        $str[] = '<option class="ok-fa fa fa-navicon" value="fa fa-navicon">navicon</option>';
        $str[] = '<option class="ok-fa fa fa-newspaper-o" value="fa fa-newspaper-o">newspaper-o</option>';
        $str[] = '<option class="ok-fa fa fa-object-group" value="fa fa-object-group">object-group</option>';
        $str[] = '<option class="ok-fa fa fa-object-ungroup" value="fa fa-object-ungroup">object-ungroup</option>';
        $str[] = '<option class="ok-fa fa fa-paint-brush" value="fa fa-paint-brush">paint-brush</option>';
        $str[] = '<option class="ok-fa fa fa-paper-plane" value="fa fa-paper-plane">paper-plane</option>';
        $str[] = '<option class="ok-fa fa fa-paper-plane-o" value="fa fa-paper-plane-o">paper-plane-o</option>';
        $str[] = '<option class="ok-fa fa fa-paw" value="fa fa-paw">paw</option>';
        $str[] = '<option class="ok-fa fa fa-pencil" value="fa fa-pencil">pencil</option>';
        $str[] = '<option class="ok-fa fa fa-pencil-square" value="fa fa-pencil-square">pencil-square</option>';
        $str[] = '<option class="ok-fa fa fa-pencil-square-o" value="fa fa-pencil-square-o">pencil-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-percent" value="fa fa-percent">percent</option>';
        $str[] = '<option class="ok-fa fa fa-phone" value="fa fa-phone">phone</option>';
        $str[] = '<option class="ok-fa fa fa-phone-square" value="fa fa-phone-square">phone-square</option>';
        $str[] = '<option class="ok-fa fa fa-photo" value="fa fa-photo">photo</option>';
        $str[] = '<option class="ok-fa fa fa-picture-o" value="fa fa-picture-o">picture-o</option>';
        $str[] = '<option class="ok-fa fa fa-pie-chart" value="fa fa-pie-chart">pie-chart</option>';
        $str[] = '<option class="ok-fa fa fa-plane" value="fa fa-plane">plane</option>';
        $str[] = '<option class="ok-fa fa fa-plug" value="fa fa-plug">plug</option>';
        $str[] = '<option class="ok-fa fa fa-plus" value="fa fa-plus">plus</option>';
        $str[] = '<option class="ok-fa fa fa-plus-circle" value="fa fa-plus-circle">plus-circle</option>';
        $str[] = '<option class="ok-fa fa fa-plus-square" value="fa fa-plus-square">plus-square</option>';
        $str[] = '<option class="ok-fa fa fa-plus-square-o" value="fa fa-plus-square-o">plus-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-power-off" value="fa fa-power-off">power-off</option>';
        $str[] = '<option class="ok-fa fa fa-print" value="fa fa-print">print</option>';
        $str[] = '<option class="ok-fa fa fa-puzzle-piece" value="fa fa-puzzle-piece">puzzle-piece</option>';
        $str[] = '<option class="ok-fa fa fa-qrcode" value="fa fa-qrcode">qrcode</option>';
        $str[] = '<option class="ok-fa fa fa-question" value="fa fa-question">question</option>';
        $str[] = '<option class="ok-fa fa fa-question-circle" value="fa fa-question-circle">question-circle</option>';
        $str[] = '<option class="ok-fa fa fa-quote-left" value="fa fa-quote-left">quote-left</option>';
        $str[] = '<option class="ok-fa fa fa-quote-right" value="fa fa-quote-right">quote-right</option>';
        $str[] = '<option class="ok-fa fa fa-random" value="fa fa-random">random</option>';
        $str[] = '<option class="ok-fa fa fa-recycle" value="fa fa-recycle">recycle</option>';
        $str[] = '<option class="ok-fa fa fa-refresh" value="fa fa-refresh">refresh</option>';
        $str[] = '<option class="ok-fa fa fa-registered" value="fa fa-registered">registered</option>';
        $str[] = '<option class="ok-fa fa fa-remove" value="fa fa-remove">remove</option>';
        $str[] = '<option class="ok-fa fa fa-reorder" value="fa fa-reorder">reorder</option>';
        $str[] = '<option class="ok-fa fa fa-reply" value="fa fa-reply">reply</option>';
        $str[] = '<option class="ok-fa fa fa-reply-all" value="fa fa-reply-all">reply-all</option>';
        $str[] = '<option class="ok-fa fa fa-retweet" value="fa fa-retweet">retweet</option>';
        $str[] = '<option class="ok-fa fa fa-road" value="fa fa-road">road</option>';
        $str[] = '<option class="ok-fa fa fa-rocket" value="fa fa-rocket">rocket</option>';
        $str[] = '<option class="ok-fa fa fa-rss" value="fa fa-rss">rss</option>';
        $str[] = '<option class="ok-fa fa fa-rss-square" value="fa fa-rss-square">rss-square</option>';
        $str[] = '<option class="ok-fa fa fa-search" value="fa fa-search">search</option>';
        $str[] = '<option class="ok-fa fa fa-search-minus" value="fa fa-search-minus">search-minus</option>';
        $str[] = '<option class="ok-fa fa fa-search-plus" value="fa fa-search-plus">search-plus</option>';
        $str[] = '<option class="ok-fa fa fa-send" value="fa fa-send">send</option>';
        $str[] = '<option class="ok-fa fa fa-send-o" value="fa fa-send-o">send-o</option>';
        $str[] = '<option class="ok-fa fa fa-server" value="fa fa-server">server</option>';
        $str[] = '<option class="ok-fa fa fa-share" value="fa fa-share">share</option>';
        $str[] = '<option class="ok-fa fa fa-share-alt" value="fa fa-share-alt">share-alt</option>';
        $str[] = '<option class="ok-fa fa fa-share-alt-square" value="fa fa-share-alt-square">share-alt-square</option>';
        $str[] = '<option class="ok-fa fa fa-share-square" value="fa fa-share-square">share-square</option>';
        $str[] = '<option class="ok-fa fa fa-share-square-o" value="fa fa-share-square-o">share-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-shield" value="fa fa-shield">shield</option>';
        $str[] = '<option class="ok-fa fa fa-ship" value="fa fa-ship">ship</option>';
        $str[] = '<option class="ok-fa fa fa-shopping-bag" value="fa fa-shopping-bag">shopping-bag</option>';
        $str[] = '<option class="ok-fa fa fa-shopping-basket" value="fa fa-shopping-basket">shopping-basket</option>';
        $str[] = '<option class="ok-fa fa fa-shopping-cart" value="fa fa-shopping-cart">shopping-cart</option>';
        $str[] = '<option class="ok-fa fa fa-sign-in" value="fa fa-sign-in">sign-in</option>';
        $str[] = '<option class="ok-fa fa fa-sign-out" value="fa fa-sign-out">sign-out</option>';
        $str[] = '<option class="ok-fa fa fa-signal" value="fa fa-signal">signal</option>';
        $str[] = '<option class="ok-fa fa fa-sitemap" value="fa fa-sitemap">sitemap</option>';
        $str[] = '<option class="ok-fa fa fa-sliders" value="fa fa-sliders">sliders</option>';
        $str[] = '<option class="ok-fa fa fa-smile-o" value="fa fa-smile-o">smile-o</option>';
        $str[] = '<option class="ok-fa fa fa-soccer-ball-o" value="fa fa-soccer-ball-o">soccer-ball-o</option>';
        $str[] = '<option class="ok-fa fa fa-sort" value="fa fa-sort">sort</option>';
        $str[] = '<option class="ok-fa fa fa-sort-alpha-asc" value="fa fa-sort-alpha-asc">sort-alpha-asc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-alpha-desc" value="fa fa-sort-alpha-desc">sort-alpha-desc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-amount-asc" value="fa fa-sort-amount-asc">sort-amount-asc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-amount-desc" value="fa fa-sort-amount-desc">sort-amount-desc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-asc" value="fa fa-sort-asc">sort-asc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-desc" value="fa fa-sort-desc">sort-desc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-down" value="fa fa-sort-down">sort-down</option>';
        $str[] = '<option class="ok-fa fa fa-sort-numeric-asc" value="fa fa-sort-numeric-asc">sort-numeric-asc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-numeric-desc" value="fa fa-sort-numeric-desc">sort-numeric-desc</option>';
        $str[] = '<option class="ok-fa fa fa-sort-up" value="fa fa-sort-up">sort-up</option>';
        $str[] = '<option class="ok-fa fa fa-space-shuttle" value="fa fa-space-shuttle">space-shuttle</option>';
        $str[] = '<option class="ok-fa fa fa-spinner" value="fa fa-spinner">spinner</option>';
        $str[] = '<option class="ok-fa fa fa-spoon" value="fa fa-spoon">spoon</option>';
        $str[] = '<option class="ok-fa fa fa-square" value="fa fa-square">square</option>';
        $str[] = '<option class="ok-fa fa fa-square-o" value="fa fa-square-o">square-o</option>';
        $str[] = '<option class="ok-fa fa fa-star" value="fa fa-star">star</option>';
        $str[] = '<option class="ok-fa fa fa-star-half" value="fa fa-star-half">star-half</option>';
        $str[] = '<option class="ok-fa fa fa-star-half-empty" value="fa fa-star-half-empty">star-half-empty</option>';
        $str[] = '<option class="ok-fa fa fa-star-half-full" value="fa fa-star-half-full">star-half-full</option>';
        $str[] = '<option class="ok-fa fa fa-star-half-o" value="fa fa-star-half-o">star-half-o</option>';
        $str[] = '<option class="ok-fa fa fa-star-o" value="fa fa-star-o">star-o</option>';
        $str[] = '<option class="ok-fa fa fa-sticky-note" value="fa fa-sticky-note">sticky-note</option>';
        $str[] = '<option class="ok-fa fa fa-sticky-note-o" value="fa fa-sticky-note-o">sticky-note-o</option>';
        $str[] = '<option class="ok-fa fa fa-street-view" value="fa fa-street-view">street-view</option>';
        $str[] = '<option class="ok-fa fa fa-suitcase" value="fa fa-suitcase">suitcase</option>';
        $str[] = '<option class="ok-fa fa fa-sun-o" value="fa fa-sun-o">sun-o</option>';
        $str[] = '<option class="ok-fa fa fa-support" value="fa fa-support">support</option>';
        $str[] = '<option class="ok-fa fa fa-tablet" value="fa fa-tablet">tablet</option>';
        $str[] = '<option class="ok-fa fa fa-tachometer" value="fa fa-tachometer">tachometer</option>';
        $str[] = '<option class="ok-fa fa fa-tag" value="fa fa-tag">tag</option>';
        $str[] = '<option class="ok-fa fa fa-tags" value="fa fa-tags">tags</option>';
        $str[] = '<option class="ok-fa fa fa-tasks" value="fa fa-tasks">tasks</option>';
        $str[] = '<option class="ok-fa fa fa-taxi" value="fa fa-taxi">taxi</option>';
        $str[] = '<option class="ok-fa fa fa-television" value="fa fa-television">television</option>';
        $str[] = '<option class="ok-fa fa fa-terminal" value="fa fa-terminal">terminal</option>';
        $str[] = '<option class="ok-fa fa fa-thumb-tack" value="fa fa-thumb-tack">thumb-tack</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-down" value="fa fa-thumbs-down">thumbs-down</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-o-down" value="fa fa-thumbs-o-down">thumbs-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-o-up" value="fa fa-thumbs-o-up">thumbs-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-up" value="fa fa-thumbs-up">thumbs-up</option>';
        $str[] = '<option class="ok-fa fa fa-ticket" value="fa fa-ticket">ticket</option>';
        $str[] = '<option class="ok-fa fa fa-times" value="fa fa-times">times</option>';
        $str[] = '<option class="ok-fa fa fa-times-circle" value="fa fa-times-circle">times-circle</option>';
        $str[] = '<option class="ok-fa fa fa-times-circle-o" value="fa fa-times-circle-o">times-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-tint" value="fa fa-tint">tint</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-down" value="fa fa-toggle-down">toggle-down</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-left" value="fa fa-toggle-left">toggle-left</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-off" value="fa fa-toggle-off">toggle-off</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-on" value="fa fa-toggle-on">toggle-on</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-right" value="fa fa-toggle-right">toggle-right</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-up" value="fa fa-toggle-up">toggle-up</option>';
        $str[] = '<option class="ok-fa fa fa-trademark" value="fa fa-trademark">trademark</option>';
        $str[] = '<option class="ok-fa fa fa-trash" value="fa fa-trash">trash</option>';
        $str[] = '<option class="ok-fa fa fa-trash-o" value="fa fa-trash-o">trash-o</option>';
        $str[] = '<option class="ok-fa fa fa-tree" value="fa fa-tree">tree</option>';
        $str[] = '<option class="ok-fa fa fa-trophy" value="fa fa-trophy">trophy</option>';
        $str[] = '<option class="ok-fa fa fa-truck" value="fa fa-truck">truck</option>';
        $str[] = '<option class="ok-fa fa fa-tty" value="fa fa-tty">tty</option>';
        $str[] = '<option class="ok-fa fa fa-tv" value="fa fa-tv">tv</option>';
        $str[] = '<option class="ok-fa fa fa-umbrella" value="fa fa-umbrella">umbrella</option>';
        $str[] = '<option class="ok-fa fa fa-university" value="fa fa-university">university</option>';
        $str[] = '<option class="ok-fa fa fa-unlock" value="fa fa-unlock">unlock</option>';
        $str[] = '<option class="ok-fa fa fa-unlock-alt" value="fa fa-unlock-alt">unlock-alt</option>';
        $str[] = '<option class="ok-fa fa fa-unsorted" value="fa fa-unsorted">unsorted</option>';
        $str[] = '<option class="ok-fa fa fa-upload" value="fa fa-upload">upload</option>';
        $str[] = '<option class="ok-fa fa fa-user" value="fa fa-user">user</option>';
        $str[] = '<option class="ok-fa fa fa-user-plus" value="fa fa-user-plus">user-plus</option>';
        $str[] = '<option class="ok-fa fa fa-user-secret" value="fa fa-user-secret">user-secret</option>';
        $str[] = '<option class="ok-fa fa fa-user-times" value="fa fa-user-times">user-times</option>';
        $str[] = '<option class="ok-fa fa fa-users" value="fa fa-users">users</option>';
        $str[] = '<option class="ok-fa fa fa-video-camera" value="fa fa-video-camera">video-camera</option>';
        $str[] = '<option class="ok-fa fa fa-volume-down" value="fa fa-volume-down">volume-down</option>';
        $str[] = '<option class="ok-fa fa fa-volume-off" value="fa fa-volume-off">volume-off</option>';
        $str[] = '<option class="ok-fa fa fa-volume-up" value="fa fa-volume-up">volume-up</option>';
        $str[] = '<option class="ok-fa fa fa-warning" value="fa fa-warning">warning</option>';
        $str[] = '<option class="ok-fa fa fa-wheelchair" value="fa fa-wheelchair">wheelchair</option>';
        $str[] = '<option class="ok-fa fa fa-wifi" value="fa fa-wifi">wifi</option>';
        $str[] = '<option class="ok-fa fa fa-wrench" value="fa fa-wrench">wrench</option>';
        $str[] = '<optgroup label="Hand Icons">';
        $str[] = '<option class="ok-fa fa fa-hand-grab-o" value="fa fa-hand-grab-o">hand-grab-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-lizard-o" value="fa fa-hand-lizard-o">hand-lizard-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-down" value="fa fa-hand-o-down">hand-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-left" value="fa fa-hand-o-left">hand-o-left</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-right" value="fa fa-hand-o-right">hand-o-right</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-up" value="fa fa-hand-o-up">hand-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-hand-paper-o" value="fa fa-hand-paper-o">hand-paper-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-peace-o" value="fa fa-hand-peace-o">hand-peace-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-pointer-o" value="fa fa-hand-pointer-o">hand-pointer-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-rock-o" value="fa fa-hand-rock-o">hand-rock-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-scissors-o" value="fa fa-hand-scissors-o">hand-scissors-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-spock-o" value="fa fa-hand-spock-o">hand-spock-o</option>';
        $str[] = '<option class="ok-fa fa fa-hand-stop-o" value="fa fa-hand-stop-o">hand-stop-o</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-down" value="fa fa-thumbs-down">thumbs-down</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-o-down" value="fa fa-thumbs-o-down">thumbs-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-o-up" value="fa fa-thumbs-o-up">thumbs-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-thumbs-up" value="fa fa-thumbs-up">thumbs-up</option>';
        $str[] = '<optgroup label="Transportation Icons">';
        $str[] = '<option class="ok-fa fa fa-ambulance" value="fa fa-ambulance">ambulance</option>';
        $str[] = '<option class="ok-fa fa fa-automobile" value="fa fa-automobile">automobile</option>';
        $str[] = '<option class="ok-fa fa fa-bicycle" value="fa fa-bicycle">bicycle</option>';
        $str[] = '<option class="ok-fa fa fa-bus" value="fa fa-bus">bus</option>';
        $str[] = '<option class="ok-fa fa fa-cab" value="fa fa-cab">cab</option>';
        $str[] = '<option class="ok-fa fa fa-car" value="fa fa-car">car</option>';
        $str[] = '<option class="ok-fa fa fa-fighter-jet" value="fa fa-fighter-jet">fighter-jet</option>';
        $str[] = '<option class="ok-fa fa fa-motorcycle" value="fa fa-motorcycle">motorcycle</option>';
        $str[] = '<option class="ok-fa fa fa-plane" value="fa fa-plane">plane</option>';
        $str[] = '<option class="ok-fa fa fa-rocket" value="fa fa-rocket">rocket</option>';
        $str[] = '<option class="ok-fa fa fa-ship" value="fa fa-ship">ship</option>';
        $str[] = '<option class="ok-fa fa fa-space-shuttle" value="fa fa-space-shuttle">space-shuttle</option>';
        $str[] = '<option class="ok-fa fa fa-subway" value="fa fa-subway">subway</option>';
        $str[] = '<option class="ok-fa fa fa-taxi" value="fa fa-taxi">taxi</option>';
        $str[] = '<option class="ok-fa fa fa-train" value="fa fa-train">train</option>';
        $str[] = '<option class="ok-fa fa fa-truck" value="fa fa-truck">truck</option>';
        $str[] = '<option class="ok-fa fa fa-wheelchair" value="fa fa-wheelchair">wheelchair</option>';
        $str[] = '<optgroup label="Gender Icons">';
        $str[] = '<option class="ok-fa fa fa-genderless" value="fa fa-genderless">genderless</option>';
        $str[] = '<option class="ok-fa fa fa-intersex" value="fa fa-intersex">intersex</option>';
        $str[] = '<option class="ok-fa fa fa-mars" value="fa fa-mars">mars</option>';
        $str[] = '<option class="ok-fa fa fa-mars-double" value="fa fa-mars-double">mars-double</option>';
        $str[] = '<option class="ok-fa fa fa-mars-stroke" value="fa fa-mars-stroke">mars-stroke</option>';
        $str[] = '<option class="ok-fa fa fa-mars-stroke-h" value="fa fa-mars-stroke-h">mars-stroke-h</option>';
        $str[] = '<option class="ok-fa fa fa-mars-stroke-v" value="fa fa-mars-stroke-v">mars-stroke-v</option>';
        $str[] = '<option class="ok-fa fa fa-mercury" value="fa fa-mercury">mercury</option>';
        $str[] = '<option class="ok-fa fa fa-neuter" value="fa fa-neuter">neuter</option>';
        $str[] = '<option class="ok-fa fa fa-transgender" value="fa fa-transgender">transgender</option>';
        $str[] = '<option class="ok-fa fa fa-transgender-alt" value="fa fa-transgender-alt">transgender-alt</option>';
        $str[] = '<option class="ok-fa fa fa-venus" value="fa fa-venus">venus</option>';
        $str[] = '<option class="ok-fa fa fa-venus-double" value="fa fa-venus-double">venus-double</option>';
        $str[] = '<option class="ok-fa fa fa-venus-mars" value="fa fa-venus-mars">venus-mars</option>';
        $str[] = '<optgroup label="File Type Icons">';
        $str[] = '<option class="ok-fa fa fa-file" value="fa fa-file">file</option>';
        $str[] = '<option class="ok-fa fa fa-file-archive-o" value="fa fa-file-archive-o">file-archive-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-audio-o" value="fa fa-file-audio-o">file-audio-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-code-o" value="fa fa-file-code-o">file-code-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-excel-o" value="fa fa-file-excel-o">file-excel-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-image-o" value="fa fa-file-image-o">file-image-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-movie-o" value="fa fa-file-movie-o">file-movie-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-o" value="fa fa-file-o">file-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-pdf-o" value="fa fa-file-pdf-o">file-pdf-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-photo-o" value="fa fa-file-photo-o">file-photo-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-picture-o" value="fa fa-file-picture-o">file-picture-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-powerpoint-o" value="fa fa-file-powerpoint-o">file-powerpoint-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-sound-o" value="fa fa-file-sound-o">file-sound-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-text" value="fa fa-file-text">file-text</option>';
        $str[] = '<option class="ok-fa fa fa-file-text-o" value="fa fa-file-text-o">file-text-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-video-o" value="fa fa-file-video-o">file-video-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-word-o" value="fa fa-file-word-o">file-word-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-zip-o" value="fa fa-file-zip-o">file-zip-o</option>';
        $str[] = '<optgroup label="Spinner Icons">';
        $str[] = '<option class="ok-fa fa fa-circle-o-notch" value="fa fa-circle-o-notch">circle-o-notch</option>';
        $str[] = '<option class="ok-fa fa fa-cog" value="fa fa-cog">cog</option>';
        $str[] = '<option class="ok-fa fa fa-gear" value="fa fa-gear">gear</option>';
        $str[] = '<option class="ok-fa fa fa-refresh" value="fa fa-refresh">refresh</option>';
        $str[] = '<option class="ok-fa fa fa-spinner" value="fa fa-spinner">spinner</option>';
        $str[] = '<optgroup label="Form Control Icons">';
        $str[] = '<option class="ok-fa fa fa-check-square" value="fa fa-check-square">check-square</option>';
        $str[] = '<option class="ok-fa fa fa-check-square-o" value="fa fa-check-square-o">check-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-circle" value="fa fa-circle">circle</option>';
        $str[] = '<option class="ok-fa fa fa-circle-o" value="fa fa-circle-o">circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-dot-circle-o" value="fa fa-dot-circle-o">dot-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-minus-square" value="fa fa-minus-square">minus-square</option>';
        $str[] = '<option class="ok-fa fa fa-minus-square-o" value="fa fa-minus-square-o">minus-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-plus-square" value="fa fa-plus-square">plus-square</option>';
        $str[] = '<option class="ok-fa fa fa-plus-square-o" value="fa fa-plus-square-o">plus-square-o</option>';
        $str[] = '<option class="ok-fa fa fa-square" value="fa fa-square">square</option>';
        $str[] = '<option class="ok-fa fa fa-square-o" value="fa fa-square-o">square-o</option>';
        $str[] = '<optgroup label="Payment Icons">';
        $str[] = '<option class="ok-fa fa fa-cc-amex" value="fa fa-cc-amex">cc-amex</option>';
        $str[] = '<option class="ok-fa fa fa-cc-diners-club" value="fa fa-cc-diners-club">cc-diners-club</option>';
        $str[] = '<option class="ok-fa fa fa-cc-discover" value="fa fa-cc-discover">cc-discover</option>';
        $str[] = '<option class="ok-fa fa fa-cc-jcb" value="fa fa-cc-jcb">cc-jcb</option>';
        $str[] = '<option class="ok-fa fa fa-cc-mastercard" value="fa fa-cc-mastercard">cc-mastercard</option>';
        $str[] = '<option class="ok-fa fa fa-cc-paypal" value="fa fa-cc-paypal">cc-paypal</option>';
        $str[] = '<option class="ok-fa fa fa-cc-stripe" value="fa fa-cc-stripe">cc-stripe</option>';
        $str[] = '<option class="ok-fa fa fa-cc-visa" value="fa fa-cc-visa">cc-visa</option>';
        $str[] = '<option class="ok-fa fa fa-credit-card" value="fa fa-credit-card">credit-card</option>';
        $str[] = '<option class="ok-fa fa fa-credit-card-alt" value="fa fa-credit-card-alt">credit-card-alt</option>';
        $str[] = '<option class="ok-fa fa fa-google-wallet" value="fa fa-google-wallet">google-wallet</option>';
        $str[] = '<option class="ok-fa fa fa-paypal" value="fa fa-paypal">paypal</option>';
        $str[] = '<optgroup label="Chart Icons">';
        $str[] = '<option class="ok-fa fa fa-area-chart" value="fa fa-area-chart">area-chart</option>';
        $str[] = '<option class="ok-fa fa fa-bar-chart" value="fa fa-bar-chart">bar-chart</option>';
        $str[] = '<option class="ok-fa fa fa-bar-chart-o" value="fa fa-bar-chart-o">bar-chart-o</option>';
        $str[] = '<option class="ok-fa fa fa-line-chart" value="fa fa-line-chart">line-chart</option>';
        $str[] = '<option class="ok-fa fa fa-pie-chart" value="fa fa-pie-chart">pie-chart</option>';
        $str[] = '<optgroup label="Currency Icons">';
        $str[] = '<option class="ok-fa fa fa-bitcoin" value="fa fa-bitcoin">bitcoin</option>';
        $str[] = '<option class="ok-fa fa fa-btc" value="fa fa-btc">btc</option>';
        $str[] = '<option class="ok-fa fa fa-cny" value="fa fa-cny">cny</option>';
        $str[] = '<option class="ok-fa fa fa-dollar" value="fa fa-dollar">dollar</option>';
        $str[] = '<option class="ok-fa fa fa-eur" value="fa fa-eur">eur</option>';
        $str[] = '<option class="ok-fa fa fa-euro" value="fa fa-euro">euro</option>';
        $str[] = '<option class="ok-fa fa fa-gbp" value="fa fa-gbp">gbp</option>';
        $str[] = '<option class="ok-fa fa fa-gg" value="fa fa-gg">gg</option>';
        $str[] = '<option class="ok-fa fa fa-gg-circle" value="fa fa-gg-circle">gg-circle</option>';
        $str[] = '<option class="ok-fa fa fa-ils" value="fa fa-ils">ils</option>';
        $str[] = '<option class="ok-fa fa fa-inr" value="fa fa-inr">inr</option>';
        $str[] = '<option class="ok-fa fa fa-jpy" value="fa fa-jpy">jpy</option>';
        $str[] = '<option class="ok-fa fa fa-krw" value="fa fa-krw">krw</option>';
        $str[] = '<option class="ok-fa fa fa-money" value="fa fa-money">money</option>';
        $str[] = '<option class="ok-fa fa fa-rmb" value="fa fa-rmb">rmb</option>';
        $str[] = '<option class="ok-fa fa fa-rouble" value="fa fa-rouble">rouble</option>';
        $str[] = '<option class="ok-fa fa fa-rub" value="fa fa-rub">rub</option>';
        $str[] = '<option class="ok-fa fa fa-ruble" value="fa fa-ruble">ruble</option>';
        $str[] = '<option class="ok-fa fa fa-rupee" value="fa fa-rupee">rupee</option>';
        $str[] = '<option class="ok-fa fa fa-shekel" value="fa fa-shekel">shekel</option>';
        $str[] = '<option class="ok-fa fa fa-sheqel" value="fa fa-sheqel">sheqel</option>';
        $str[] = '<option class="ok-fa fa fa-try" value="fa fa-try">try</option>';
        $str[] = '<option class="ok-fa fa fa-turkish-lira" value="fa fa-turkish-lira">turkish-lira</option>';
        $str[] = '<option class="ok-fa fa fa-usd" value="fa fa-usd">usd</option>';
        $str[] = '<option class="ok-fa fa fa-won" value="fa fa-won">won</option>';
        $str[] = '<option class="ok-fa fa fa-yen" value="fa fa-yen">yen</option>';
        $str[] = '<optgroup label="Text Editor Icons">';
        $str[] = '<option class="ok-fa fa fa-align-center" value="fa fa-align-center">align-center</option>';
        $str[] = '<option class="ok-fa fa fa-align-justify" value="fa fa-align-justify">align-justify</option>';
        $str[] = '<option class="ok-fa fa fa-align-left" value="fa fa-align-left">align-left</option>';
        $str[] = '<option class="ok-fa fa fa-align-right" value="fa fa-align-right">align-right</option>';
        $str[] = '<option class="ok-fa fa fa-bold" value="fa fa-bold">bold</option>';
        $str[] = '<option class="ok-fa fa fa-chain" value="fa fa-chain">chain</option>';
        $str[] = '<option class="ok-fa fa fa-chain-broken" value="fa fa-chain-broken">chain-broken</option>';
        $str[] = '<option class="ok-fa fa fa-clipboard" value="fa fa-clipboard">clipboard</option>';
        $str[] = '<option class="ok-fa fa fa-columns" value="fa fa-columns">columns</option>';
        $str[] = '<option class="ok-fa fa fa-copy" value="fa fa-copy">copy</option>';
        $str[] = '<option class="ok-fa fa fa-cut" value="fa fa-cut">cut</option>';
        $str[] = '<option class="ok-fa fa fa-dedent" value="fa fa-dedent">dedent</option>';
        $str[] = '<option class="ok-fa fa fa-eraser" value="fa fa-eraser">eraser</option>';
        $str[] = '<option class="ok-fa fa fa-file" value="fa fa-file">file</option>';
        $str[] = '<option class="ok-fa fa fa-file-o" value="fa fa-file-o">file-o</option>';
        $str[] = '<option class="ok-fa fa fa-file-text" value="fa fa-file-text">file-text</option>';
        $str[] = '<option class="ok-fa fa fa-file-text-o" value="fa fa-file-text-o">file-text-o</option>';
        $str[] = '<option class="ok-fa fa fa-files-o" value="fa fa-files-o">files-o</option>';
        $str[] = '<option class="ok-fa fa fa-floppy-o" value="fa fa-floppy-o">floppy-o</option>';
        $str[] = '<option class="ok-fa fa fa-font" value="fa fa-font">font</option>';
        $str[] = '<option class="ok-fa fa fa-header" value="fa fa-header">header</option>';
        $str[] = '<option class="ok-fa fa fa-indent" value="fa fa-indent">indent</option>';
        $str[] = '<option class="ok-fa fa fa-italic" value="fa fa-italic">italic</option>';
        $str[] = '<option class="ok-fa fa fa-link" value="fa fa-link">link</option>';
        $str[] = '<option class="ok-fa fa fa-list" value="fa fa-list">list</option>';
        $str[] = '<option class="ok-fa fa fa-list-alt" value="fa fa-list-alt">list-alt</option>';
        $str[] = '<option class="ok-fa fa fa-list-ol" value="fa fa-list-ol">list-ol</option>';
        $str[] = '<option class="ok-fa fa fa-list-ul" value="fa fa-list-ul">list-ul</option>';
        $str[] = '<option class="ok-fa fa fa-outdent" value="fa fa-outdent">outdent</option>';
        $str[] = '<option class="ok-fa fa fa-paperclip" value="fa fa-paperclip">paperclip</option>';
        $str[] = '<option class="ok-fa fa fa-paragraph" value="fa fa-paragraph">paragraph</option>';
        $str[] = '<option class="ok-fa fa fa-paste" value="fa fa-paste">paste</option>';
        $str[] = '<option class="ok-fa fa fa-repeat" value="fa fa-repeat">repeat</option>';
        $str[] = '<option class="ok-fa fa fa-rotate-left" value="fa fa-rotate-left">rotate-left</option>';
        $str[] = '<option class="ok-fa fa fa-rotate-right" value="fa fa-rotate-right">rotate-right</option>';
        $str[] = '<option class="ok-fa fa fa-save" value="fa fa-save">save</option>';
        $str[] = '<option class="ok-fa fa fa-scissors" value="fa fa-scissors">scissors</option>';
        $str[] = '<option class="ok-fa fa fa-strikethrough" value="fa fa-strikethrough">strikethrough</option>';
        $str[] = '<option class="ok-fa fa fa-subscript" value="fa fa-subscript">subscript</option>';
        $str[] = '<option class="ok-fa fa fa-superscript" value="fa fa-superscript">superscript</option>';
        $str[] = '<option class="ok-fa fa fa-table" value="fa fa-table">table</option>';
        $str[] = '<option class="ok-fa fa fa-text-height" value="fa fa-text-height">text-height</option>';
        $str[] = '<option class="ok-fa fa fa-text-width" value="fa fa-text-width">text-width</option>';
        $str[] = '<option class="ok-fa fa fa-th" value="fa fa-th">th</option>';
        $str[] = '<option class="ok-fa fa fa-th-large" value="fa fa-th-large">th-large</option>';
        $str[] = '<option class="ok-fa fa fa-th-list" value="fa fa-th-list">th-list</option>';
        $str[] = '<option class="ok-fa fa fa-underline" value="fa fa-underline">underline</option>';
        $str[] = '<option class="ok-fa fa fa-undo" value="fa fa-undo">undo</option>';
        $str[] = '<option class="ok-fa fa fa-unlink" value="fa fa-unlink">unlink</option>';
        $str[] = '<optgroup label="Directional Icons">';
        $str[] = '<option class="ok-fa fa fa-angle-double-down" value="fa fa-angle-double-down">angle-double-down</option>';
        $str[] = '<option class="ok-fa fa fa-angle-double-left" value="fa fa-angle-double-left">angle-double-left</option>';
        $str[] = '<option class="ok-fa fa fa-angle-double-right" value="fa fa-angle-double-right">angle-double-right</option>';
        $str[] = '<option class="ok-fa fa fa-angle-double-up" value="fa fa-angle-double-up">angle-double-up</option>';
        $str[] = '<option class="ok-fa fa fa-angle-down" value="fa fa-angle-down">angle-down</option>';
        $str[] = '<option class="ok-fa fa fa-angle-left" value="fa fa-angle-left">angle-left</option>';
        $str[] = '<option class="ok-fa fa fa-angle-right" value="fa fa-angle-right">angle-right</option>';
        $str[] = '<option class="ok-fa fa fa-angle-up" value="fa fa-angle-up">angle-up</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-down" value="fa fa-arrow-circle-down">arrow-circle-down</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-left" value="fa fa-arrow-circle-left">arrow-circle-left</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-o-down" value="fa fa-arrow-circle-o-down">arrow-circle-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-o-left" value="fa fa-arrow-circle-o-left">arrow-circle-o-left</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-o-right" value="fa fa-arrow-circle-o-right">arrow-circle-o-right</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-o-up" value="fa fa-arrow-circle-o-up">arrow-circle-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-right" value="fa fa-arrow-circle-right">arrow-circle-right</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-circle-up" value="fa fa-arrow-circle-up">arrow-circle-up</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-down" value="fa fa-arrow-down">arrow-down</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-left" value="fa fa-arrow-left">arrow-left</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-right" value="fa fa-arrow-right">arrow-right</option>';
        $str[] = '<option class="ok-fa fa fa-arrow-up" value="fa fa-arrow-up">arrow-up</option>';
        $str[] = '<option class="ok-fa fa fa-arrows" value="fa fa-arrows">arrows</option>';
        $str[] = '<option class="ok-fa fa fa-arrows-alt" value="fa fa-arrows-alt">arrows-alt</option>';
        $str[] = '<option class="ok-fa fa fa-arrows-h" value="fa fa-arrows-h">arrows-h</option>';
        $str[] = '<option class="ok-fa fa fa-arrows-v" value="fa fa-arrows-v">arrows-v</option>';
        $str[] = '<option class="ok-fa fa fa-caret-down" value="fa fa-caret-down">caret-down</option>';
        $str[] = '<option class="ok-fa fa fa-caret-left" value="fa fa-caret-left">caret-left</option>';
        $str[] = '<option class="ok-fa fa fa-caret-right" value="fa fa-caret-right">caret-right</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-down" value="fa fa-caret-square-o-down">caret-square-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-left" value="fa fa-caret-square-o-left">caret-square-o-left</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-right" value="fa fa-caret-square-o-right">caret-square-o-right</option>';
        $str[] = '<option class="ok-fa fa fa-caret-square-o-up" value="fa fa-caret-square-o-up">caret-square-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-caret-up" value="fa fa-caret-up">caret-up</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-circle-down" value="fa fa-chevron-circle-down">chevron-circle-down</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-circle-left" value="fa fa-chevron-circle-left">chevron-circle-left</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-circle-right" value="fa fa-chevron-circle-right">chevron-circle-right</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-circle-up" value="fa fa-chevron-circle-up">chevron-circle-up</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-down" value="fa fa-chevron-down">chevron-down</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-left" value="fa fa-chevron-left">chevron-left</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-right" value="fa fa-chevron-right">chevron-right</option>';
        $str[] = '<option class="ok-fa fa fa-chevron-up" value="fa fa-chevron-up">chevron-up</option>';
        $str[] = '<option class="ok-fa fa fa-exchange" value="fa fa-exchange">exchange</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-down" value="fa fa-hand-o-down">hand-o-down</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-left" value="fa fa-hand-o-left">hand-o-left</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-right" value="fa fa-hand-o-right">hand-o-right</option>';
        $str[] = '<option class="ok-fa fa fa-hand-o-up" value="fa fa-hand-o-up">hand-o-up</option>';
        $str[] = '<option class="ok-fa fa fa-long-arrow-down" value="fa fa-long-arrow-down">long-arrow-down</option>';
        $str[] = '<option class="ok-fa fa fa-long-arrow-left" value="fa fa-long-arrow-left">long-arrow-left</option>';
        $str[] = '<option class="ok-fa fa fa-long-arrow-right" value="fa fa-long-arrow-right">long-arrow-right</option>';
        $str[] = '<option class="ok-fa fa fa-long-arrow-up" value="fa fa-long-arrow-up">long-arrow-up</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-down" value="fa fa-toggle-down">toggle-down</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-left" value="fa fa-toggle-left">toggle-left</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-right" value="fa fa-toggle-right">toggle-right</option>';
        $str[] = '<option class="ok-fa fa fa-toggle-up" value="fa fa-toggle-up">toggle-up</option>';
        $str[] = '<optgroup label="Video Player Icons">';
        $str[] = '<option class="ok-fa fa fa-arrows-alt" value="fa fa-arrows-alt">arrows-alt</option>';
        $str[] = '<option class="ok-fa fa fa-backward" value="fa fa-backward">backward</option>';
        $str[] = '<option class="ok-fa fa fa-compress" value="fa fa-compress">compress</option>';
        $str[] = '<option class="ok-fa fa fa-eject" value="fa fa-eject">eject</option>';
        $str[] = '<option class="ok-fa fa fa-expand" value="fa fa-expand">expand</option>';
        $str[] = '<option class="ok-fa fa fa-fast-backward" value="fa fa-fast-backward">fast-backward</option>';
        $str[] = '<option class="ok-fa fa fa-fast-forward" value="fa fa-fast-forward">fast-forward</option>';
        $str[] = '<option class="ok-fa fa fa-forward" value="fa fa-forward">forward</option>';
        $str[] = '<option class="ok-fa fa fa-pause" value="fa fa-pause">pause</option>';
        $str[] = '<option class="ok-fa fa fa-pause-circle" value="fa fa-pause-circle">pause-circle</option>';
        $str[] = '<option class="ok-fa fa fa-pause-circle-o" value="fa fa-pause-circle-o">pause-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-play" value="fa fa-play">play</option>';
        $str[] = '<option class="ok-fa fa fa-play-circle" value="fa fa-play-circle">play-circle</option>';
        $str[] = '<option class="ok-fa fa fa-play-circle-o" value="fa fa-play-circle-o">play-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-random" value="fa fa-random">random</option>';
        $str[] = '<option class="ok-fa fa fa-step-backward" value="fa fa-step-backward">step-backward</option>';
        $str[] = '<option class="ok-fa fa fa-step-forward" value="fa fa-step-forward">step-forward</option>';
        $str[] = '<option class="ok-fa fa fa-stop" value="fa fa-stop">stop</option>';
        $str[] = '<option class="ok-fa fa fa-stop-circle" value="fa fa-stop-circle">stop-circle</option>';
        $str[] = '<option class="ok-fa fa fa-stop-circle-o" value="fa fa-stop-circle-o">stop-circle-o</option>';
        $str[] = '<option class="ok-fa fa fa-youtube-play" value="fa fa-youtube-play">youtube-play</option>';
        $str[] = '<optgroup label="Brand Icons">';
        $str[] = '<option class="ok-fa fa fa-500px" value="fa fa-500px">500px</option>';
        $str[] = '<option class="ok-fa fa fa-adn" value="fa fa-adn">adn</option>';
        $str[] = '<option class="ok-fa fa fa-amazon" value="fa fa-amazon">amazon</option>';
        $str[] = '<option class="ok-fa fa fa-android" value="fa fa-android">android</option>';
        $str[] = '<option class="ok-fa fa fa-angellist" value="fa fa-angellist">angellist</option>';
        $str[] = '<option class="ok-fa fa fa-apple" value="fa fa-apple">apple</option>';
        $str[] = '<option class="ok-fa fa fa-behance" value="fa fa-behance">behance</option>';
        $str[] = '<option class="ok-fa fa fa-behance-square" value="fa fa-behance-square">behance-square</option>';
        $str[] = '<option class="ok-fa fa fa-bitbucket" value="fa fa-bitbucket">bitbucket</option>';
        $str[] = '<option class="ok-fa fa fa-bitbucket-square" value="fa fa-bitbucket-square">bitbucket-square</option>';
        $str[] = '<option class="ok-fa fa fa-bitcoin" value="fa fa-bitcoin">bitcoin</option>';
        $str[] = '<option class="ok-fa fa fa-black-tie" value="fa fa-black-tie">black-tie</option>';
        $str[] = '<option class="ok-fa fa fa-bluetooth" value="fa fa-bluetooth">bluetooth</option>';
        $str[] = '<option class="ok-fa fa fa-bluetooth-b" value="fa fa-bluetooth-b">bluetooth-b</option>';
        $str[] = '<option class="ok-fa fa fa-btc" value="fa fa-btc">btc</option>';
        $str[] = '<option class="ok-fa fa fa-buysellads" value="fa fa-buysellads">buysellads</option>';
        $str[] = '<option class="ok-fa fa fa-cc-amex" value="fa fa-cc-amex">cc-amex</option>';
        $str[] = '<option class="ok-fa fa fa-cc-diners-club" value="fa fa-cc-diners-club">cc-diners-club</option>';
        $str[] = '<option class="ok-fa fa fa-cc-discover" value="fa fa-cc-discover">cc-discover</option>';
        $str[] = '<option class="ok-fa fa fa-cc-jcb" value="fa fa-cc-jcb">cc-jcb</option>';
        $str[] = '<option class="ok-fa fa fa-cc-mastercard" value="fa fa-cc-mastercard">cc-mastercard</option>';
        $str[] = '<option class="ok-fa fa fa-cc-paypal" value="fa fa-cc-paypal">cc-paypal</option>';
        $str[] = '<option class="ok-fa fa fa-cc-stripe" value="fa fa-cc-stripe">cc-stripe</option>';
        $str[] = '<option class="ok-fa fa fa-cc-visa" value="fa fa-cc-visa">cc-visa</option>';
        $str[] = '<option class="ok-fa fa fa-chrome" value="fa fa-chrome">chrome</option>';
        $str[] = '<option class="ok-fa fa fa-codepen" value="fa fa-codepen">codepen</option>';
        $str[] = '<option class="ok-fa fa fa-codiepie" value="fa fa-codiepie">codiepie</option>';
        $str[] = '<option class="ok-fa fa fa-connectdevelop" value="fa fa-connectdevelop">connectdevelop</option>';
        $str[] = '<option class="ok-fa fa fa-contao" value="fa fa-contao">contao</option>';
        $str[] = '<option class="ok-fa fa fa-css3" value="fa fa-css3">css3</option>';
        $str[] = '<option class="ok-fa fa fa-dashcube" value="fa fa-dashcube">dashcube</option>';
        $str[] = '<option class="ok-fa fa fa-delicious" value="fa fa-delicious">delicious</option>';
        $str[] = '<option class="ok-fa fa fa-deviantart" value="fa fa-deviantart">deviantart</option>';
        $str[] = '<option class="ok-fa fa fa-digg" value="fa fa-digg">digg</option>';
        $str[] = '<option class="ok-fa fa fa-dribbble" value="fa fa-dribbble">dribbble</option>';
        $str[] = '<option class="ok-fa fa fa-dropbox" value="fa fa-dropbox">dropbox</option>';
        $str[] = '<option class="ok-fa fa fa-drupal" value="fa fa-drupal">drupal</option>';
        $str[] = '<option class="ok-fa fa fa-edge" value="fa fa-edge">edge</option>';
        $str[] = '<option class="ok-fa fa fa-empire" value="fa fa-empire">empire</option>';
        $str[] = '<option class="ok-fa fa fa-expeditedssl" value="fa fa-expeditedssl">expeditedssl</option>';
        $str[] = '<option class="ok-fa fa fa-facebook" value="fa fa-facebook">facebook</option>';
        $str[] = '<option class="ok-fa fa fa-facebook-f" value="fa fa-facebook-f">facebook-f</option>';
        $str[] = '<option class="ok-fa fa fa-facebook-official" value="fa fa-facebook-official">facebook-official</option>';
        $str[] = '<option class="ok-fa fa fa-facebook-square" value="fa fa-facebook-square">facebook-square</option>';
        $str[] = '<option class="ok-fa fa fa-firefox" value="fa fa-firefox">firefox</option>';
        $str[] = '<option class="ok-fa fa fa-flickr" value="fa fa-flickr">flickr</option>';
        $str[] = '<option class="ok-fa fa fa-fonticons" value="fa fa-fonticons">fonticons</option>';
        $str[] = '<option class="ok-fa fa fa-fort-awesome" value="fa fa-fort-awesome">fort-awesome</option>';
        $str[] = '<option class="ok-fa fa fa-forumbee" value="fa fa-forumbee">forumbee</option>';
        $str[] = '<option class="ok-fa fa fa-foursquare" value="fa fa-foursquare">foursquare</option>';
        $str[] = '<option class="ok-fa fa fa-ge" value="fa fa-ge">ge</option>';
        $str[] = '<option class="ok-fa fa fa-get-pocket" value="fa fa-get-pocket">get-pocket</option>';
        $str[] = '<option class="ok-fa fa fa-gg" value="fa fa-gg">gg</option>';
        $str[] = '<option class="ok-fa fa fa-gg-circle" value="fa fa-gg-circle">gg-circle</option>';
        $str[] = '<option class="ok-fa fa fa-git" value="fa fa-git">git</option>';
        $str[] = '<option class="ok-fa fa fa-git-square" value="fa fa-git-square">git-square</option>';
        $str[] = '<option class="ok-fa fa fa-github" value="fa fa-github">github</option>';
        $str[] = '<option class="ok-fa fa fa-github-alt" value="fa fa-github-alt">github-alt</option>';
        $str[] = '<option class="ok-fa fa fa-github-square" value="fa fa-github-square">github-square</option>';
        $str[] = '<option class="ok-fa fa fa-gittip" value="fa fa-gittip">gittip</option>';
        $str[] = '<option class="ok-fa fa fa-google" value="fa fa-google">google</option>';
        $str[] = '<option class="ok-fa fa fa-google-plus" value="fa fa-google-plus">google-plus</option>';
        $str[] = '<option class="ok-fa fa fa-google-plus-square" value="fa fa-google-plus-square">google-plus-square</option>';
        $str[] = '<option class="ok-fa fa fa-google-wallet" value="fa fa-google-wallet">google-wallet</option>';
        $str[] = '<option class="ok-fa fa fa-gratipay" value="fa fa-gratipay">gratipay</option>';
        $str[] = '<option class="ok-fa fa fa-hacker-news" value="fa fa-hacker-news">hacker-news</option>';
        $str[] = '<option class="ok-fa fa fa-houzz" value="fa fa-houzz">houzz</option>';
        $str[] = '<option class="ok-fa fa fa-html5" value="fa fa-html5">html5</option>';
        $str[] = '<option class="ok-fa fa fa-instagram" value="fa fa-instagram">instagram</option>';
        $str[] = '<option class="ok-fa fa fa-internet-explorer" value="fa fa-internet-explorer">internet-explorer</option>';
        $str[] = '<option class="ok-fa fa fa-ioxhost" value="fa fa-ioxhost">ioxhost</option>';
        $str[] = '<option class="ok-fa fa fa-joomla" value="fa fa-joomla">joomla</option>';
        $str[] = '<option class="ok-fa fa fa-jsfiddle" value="fa fa-jsfiddle">jsfiddle</option>';
        $str[] = '<option class="ok-fa fa fa-lastfm" value="fa fa-lastfm">lastfm</option>';
        $str[] = '<option class="ok-fa fa fa-lastfm-square" value="fa fa-lastfm-square">lastfm-square</option>';
        $str[] = '<option class="ok-fa fa fa-leanpub" value="fa fa-leanpub">leanpub</option>';
        $str[] = '<option class="ok-fa fa fa-linkedin" value="fa fa-linkedin">linkedin</option>';
        $str[] = '<option class="ok-fa fa fa-linkedin-square" value="fa fa-linkedin-square">linkedin-square</option>';
        $str[] = '<option class="ok-fa fa fa-linux" value="fa fa-linux">linux</option>';
        $str[] = '<option class="ok-fa fa fa-maxcdn" value="fa fa-maxcdn">maxcdn</option>';
        $str[] = '<option class="ok-fa fa fa-meanpath" value="fa fa-meanpath">meanpath</option>';
        $str[] = '<option class="ok-fa fa fa-medium" value="fa fa-medium">medium</option>';
        $str[] = '<option class="ok-fa fa fa-mixcloud" value="fa fa-mixcloud">mixcloud</option>';
        $str[] = '<option class="ok-fa fa fa-modx" value="fa fa-modx">modx</option>';
        $str[] = '<option class="ok-fa fa fa-odnoklassniki" value="fa fa-odnoklassniki">odnoklassniki</option>';
        $str[] = '<option class="ok-fa fa fa-odnoklassniki-square" value="fa fa-odnoklassniki-square">odnoklassniki-square</option>';
        $str[] = '<option class="ok-fa fa fa-opencart" value="fa fa-opencart">opencart</option>';
        $str[] = '<option class="ok-fa fa fa-openid" value="fa fa-openid">openid</option>';
        $str[] = '<option class="ok-fa fa fa-opera" value="fa fa-opera">opera</option>';
        $str[] = '<option class="ok-fa fa fa-optin-monster" value="fa fa-optin-monster">optin-monster</option>';
        $str[] = '<option class="ok-fa fa fa-pagelines" value="fa fa-pagelines">pagelines</option>';
        $str[] = '<option class="ok-fa fa fa-paypal" value="fa fa-paypal">paypal</option>';
        $str[] = '<option class="ok-fa fa fa-pied-piper" value="fa fa-pied-piper">pied-piper</option>';
        $str[] = '<option class="ok-fa fa fa-pied-piper-alt" value="fa fa-pied-piper-alt">pied-piper-alt</option>';
        $str[] = '<option class="ok-fa fa fa-pinterest" value="fa fa-pinterest">pinterest</option>';
        $str[] = '<option class="ok-fa fa fa-pinterest-p" value="fa fa-pinterest-p">pinterest-p</option>';
        $str[] = '<option class="ok-fa fa fa-pinterest-square" value="fa fa-pinterest-square">pinterest-square</option>';
        $str[] = '<option class="ok-fa fa fa-product-hunt" value="fa fa-product-hunt">product-hunt</option>';
        $str[] = '<option class="ok-fa fa fa-qq" value="fa fa-qq">qq</option>';
        $str[] = '<option class="ok-fa fa fa-ra" value="fa fa-ra">ra</option>';
        $str[] = '<option class="ok-fa fa fa-rebel" value="fa fa-rebel">rebel</option>';
        $str[] = '<option class="ok-fa fa fa-reddit" value="fa fa-reddit">reddit</option>';
        $str[] = '<option class="ok-fa fa fa-reddit-alien" value="fa fa-reddit-alien">reddit-alien</option>';
        $str[] = '<option class="ok-fa fa fa-reddit-square" value="fa fa-reddit-square">reddit-square</option>';
        $str[] = '<option class="ok-fa fa fa-renren" value="fa fa-renren">renren</option>';
        $str[] = '<option class="ok-fa fa fa-safari" value="fa fa-safari">safari</option>';
        $str[] = '<option class="ok-fa fa fa-scribd" value="fa fa-scribd">scribd</option>';
        $str[] = '<option class="ok-fa fa fa-sellsy" value="fa fa-sellsy">sellsy</option>';
        $str[] = '<option class="ok-fa fa fa-share-alt" value="fa fa-share-alt">share-alt</option>';
        $str[] = '<option class="ok-fa fa fa-share-alt-square" value="fa fa-share-alt-square">share-alt-square</option>';
        $str[] = '<option class="ok-fa fa fa-shirtsinbulk" value="fa fa-shirtsinbulk">shirtsinbulk</option>';
        $str[] = '<option class="ok-fa fa fa-simplybuilt" value="fa fa-simplybuilt">simplybuilt</option>';
        $str[] = '<option class="ok-fa fa fa-skyatlas" value="fa fa-skyatlas">skyatlas</option>';
        $str[] = '<option class="ok-fa fa fa-skype" value="fa fa-skype">skype</option>';
        $str[] = '<option class="ok-fa fa fa-slack" value="fa fa-slack">slack</option>';
        $str[] = '<option class="ok-fa fa fa-slideshare" value="fa fa-slideshare">slideshare</option>';
        $str[] = '<option class="ok-fa fa fa-soundcloud" value="fa fa-soundcloud">soundcloud</option>';
        $str[] = '<option class="ok-fa fa fa-spotify" value="fa fa-spotify">spotify</option>';
        $str[] = '<option class="ok-fa fa fa-stack-exchange" value="fa fa-stack-exchange">stack-exchange</option>';
        $str[] = '<option class="ok-fa fa fa-stack-overflow" value="fa fa-stack-overflow">stack-overflow</option>';
        $str[] = '<option class="ok-fa fa fa-steam" value="fa fa-steam">steam</option>';
        $str[] = '<option class="ok-fa fa fa-steam-square" value="fa fa-steam-square">steam-square</option>';
        $str[] = '<option class="ok-fa fa fa-stumbleupon" value="fa fa-stumbleupon">stumbleupon</option>';
        $str[] = '<option class="ok-fa fa fa-stumbleupon-circle" value="fa fa-stumbleupon-circle">stumbleupon-circle</option>';
        $str[] = '<option class="ok-fa fa fa-tencent-weibo" value="fa fa-tencent-weibo">tencent-weibo</option>';
        $str[] = '<option class="ok-fa fa fa-trello" value="fa fa-trello">trello</option>';
        $str[] = '<option class="ok-fa fa fa-tripadvisor" value="fa fa-tripadvisor">tripadvisor</option>';
        $str[] = '<option class="ok-fa fa fa-tumblr" value="fa fa-tumblr">tumblr</option>';
        $str[] = '<option class="ok-fa fa fa-tumblr-square" value="fa fa-tumblr-square">tumblr-square</option>';
        $str[] = '<option class="ok-fa fa fa-twitch" value="fa fa-twitch">twitch</option>';
        $str[] = '<option class="ok-fa fa fa-twitter" value="fa fa-twitter">twitter</option>';
        $str[] = '<option class="ok-fa fa fa-twitter-square" value="fa fa-twitter-square">twitter-square</option>';
        $str[] = '<option class="ok-fa fa fa-usb" value="fa fa-usb">usb</option>';
        $str[] = '<option class="ok-fa fa fa-viacoin" value="fa fa-viacoin">viacoin</option>';
        $str[] = '<option class="ok-fa fa fa-vimeo" value="fa fa-vimeo">vimeo</option>';
        $str[] = '<option class="ok-fa fa fa-vimeo-square" value="fa fa-vimeo-square">vimeo-square</option>';
        $str[] = '<option class="ok-fa fa fa-vine" value="fa fa-vine">vine</option>';
        $str[] = '<option class="ok-fa fa fa-vk" value="fa fa-vk">vk</option>';
        $str[] = '<option class="ok-fa fa fa-wechat" value="fa fa-wechat">wechat</option>';
        $str[] = '<option class="ok-fa fa fa-weibo" value="fa fa-weibo">weibo</option>';
        $str[] = '<option class="ok-fa fa fa-weixin" value="fa fa-weixin">weixin</option>';
        $str[] = '<option class="ok-fa fa fa-whatsapp" value="fa fa-whatsapp">whatsapp</option>';
        $str[] = '<option class="ok-fa fa fa-wikipedia-w" value="fa fa-wikipedia-w">wikipedia-w</option>';
        $str[] = '<option class="ok-fa fa fa-windows" value="fa fa-windows">windows</option>';
        $str[] = '<option class="ok-fa fa fa-wordpress" value="fa fa-wordpress">wordpress</option>';
        $str[] = '<option class="ok-fa fa fa-xing" value="fa fa-xing">xing</option>';
        $str[] = '<option class="ok-fa fa fa-xing-square" value="fa fa-xing-square">xing-square</option>';
        $str[] = '<option class="ok-fa fa fa-y-combinator" value="fa fa-y-combinator">y-combinator</option>';
        $str[] = '<option class="ok-fa fa fa-y-combinator-square" value="fa fa-y-combinator-square">y-combinator-square</option>';
        $str[] = '<option class="ok-fa fa fa-yahoo" value="fa fa-yahoo">yahoo</option>';
        $str[] = '<option class="ok-fa fa fa-yc" value="fa fa-yc">yc</option>';
        $str[] = '<option class="ok-fa fa fa-yc-square" value="fa fa-yc-square">yc-square</option>';
        $str[] = '<option class="ok-fa fa fa-yelp" value="fa fa-yelp">yelp</option>';
        $str[] = '<option class="ok-fa fa fa-youtube" value="fa fa-youtube">youtube</option>';
        $str[] = '<option class="ok-fa fa fa-youtube-play" value="fa fa-youtube-play">youtube-play</option>';
        $str[] = '<option class="ok-fa fa fa-youtube-square" value="fa fa-youtube-square">youtube-square</option>';
        $str[] = '<optgroup label="Medical Icons">';
        $str[] = '<option class="ok-fa fa fa-ambulance" value="fa fa-ambulance">ambulance</option>';
        $str[] = '<option class="ok-fa fa fa-h-square" value="fa fa-h-square">h-square</option>';
        $str[] = '<option class="ok-fa fa fa-heart" value="fa fa-heart">heart</option>';
        $str[] = '<option class="ok-fa fa fa-heart-o" value="fa fa-heart-o">heart-o</option>';
        $str[] = '<option class="ok-fa fa fa-heartbeat" value="fa fa-heartbeat">heartbeat</option>';
        $str[] = '<option class="ok-fa fa fa-hospital-o" value="fa fa-hospital-o">hospital-o</option>';
        $str[] = '<option class="ok-fa fa fa-medkit" value="fa fa-medkit">medkit</option>';
        $str[] = '<option class="ok-fa fa fa-plus-square" value="fa fa-plus-square">plus-square</option>';
        $str[] = '<option class="ok-fa fa fa-stethoscope" value="fa fa-stethoscope">stethoscope</option>';
        $str[] = '<option class="ok-fa fa fa-user-md" value="fa fa-user-md">user-md</option>';
        $str[] = '<option class="ok-fa fa fa-wheelchair" value="fa fa-wheelchair">wheelchair</option>';
        $str[] = '</select>';
//        dev
//        $str[] = 'value is - ' . $this->value;
//        $str[] = 'value 2 is - ' . htmlspecialchars($this->value, ENT_COMPAT, 'UTF-8');



        return implode($str);
    }
}
