<?php
/**
 * @package     Joomla.Platform
 * @subpackage  Form
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

defined('JPATH_PLATFORM') or die;
jimport('joomla.form.formfield');

/**
 * Form Field class for the Joomla Platform.
 * Display a JSON loaded window with a Oknote set of sub fields
 *
 * @since  3.2
 */
class JFormFieldOknote extends JFormField
{
    /**
     * The form field type.
     *
     * @var    string
     * @since  3.2
     */
    protected $type = 'Oknote';

    /**
     * Method to get the field input markup.
     *
     * @return  string  The field input markup.
     *
     * @since   3.2
     */
    public function getLabel() {

//        return '<span style="text-decoration: underline;">' . parent::getLabel() . '</span>';
//return '<div class="ok-emty-label"></div>';
    }

    protected function getInput()
    {
//        Add files
        $csspath = 'templates/orion_nebula/css/';
        JHTML::_('stylesheet', $csspath . 'admin.css');
//        JHTML::stylesheet('//maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css');

        // Add scripts
        JHtml::_('bootstrap.framework');
//        JHtml::_('script', 'system/repeatable.js', true, true);

        // build a main container
        $str = array();
        $str[] = '<div class="accordion" id="id_' . $this->element['name'] . '">';
        $str[] = '<div class="accordion-group '. $this->element['class'] .'">';
        $str[] = '<div class="accordion-heading ">';
        $str[] = '<a class="accordion-toggle" data-toggle="collapse" data-parent="id_' . $this->element['name'] . '" href="#'.$this->element['name'].'">';
        $str[] = '<i class="fa fa-plus-circle"></i>';
        $str[] = '<span style="font-weight: bold">' .$this->element['label']. '</span>';
        $str[] = '<span style="font-size: 10px">(click to open)</span>';
        $str[] = '</a>';
        $str[] = '</div>';
        $str[] = '<div id="'.$this->element['name'].'" class="accordion-body collapse">';
        $str[] = '<div class="accordion-inner">';
        $str[] = JText::_($this->element['description']);
        $str[] = '<div><br /><button type="button" class="btn btn-info" data-toggle="collapse" data-target="#'.$this->element['name'].'">Close</button></div>';
        $str[] = '</div>';
        $str[] = '</div>';
        $str[] = '</div>';
        $str[] = '</div>';




        return implode("\n", $str);
    }
}
