<?php
/** * @author    OrionKit http://www.orionkit.com
 * @copyright    Copyright (C) OrionKit .
 * @license http://www.gnu.org/licenses/gpl.html GNU/GPL
 */
defined('_JEXEC') or die;
class Panel
{
    //main parameters
    public $position;
    public $templateImages;
    //main constants from template parameters
    public $panel_layout;
    public $padding;
    public $background;
    public $fontcolor;
    public $preset_image;
    public $img_attachment;
    public $img_overlay;
    public $custom_image;
    public $mod_layout;
    public $mod_style;
    public $animation;
    public $sticky;
    public $container;
    //  ================================================================================================
    public function __construct()
    {
        $this->siteImages = JURI::root(true);
        $this->templateImages = JURI::root(true, '/templates/orion_nebula/images/');
    }
    public function position($position)
    {
        $this->position = $position;
        //get panel parameters according the panel position name
        $app = JFactory::getApplication();
        $template = $app->getTemplate(true);
        $params = $template->params;
        $data = $params->get($position);
        //template parameters from json str to array
        $data = str_replace('[', '', $data);
        $data = str_replace(']', '', $data);
        $value = json_decode($data, true);
        $prefix = $position . '_';//prefix to array index
        //get constant value
//        note all should be via isset as on different types of panels some not used
        if (isset($value[$prefix . 'panel_layout'])) $this->panel_layout = $value[$prefix . 'panel_layout'];
        if (isset($value[$prefix . 'padding'])) $this->padding = $value[$prefix . 'padding'];
        if (isset($value[$prefix . 'bgcolor'])) $this->background = $value[$prefix . 'bgcolor'];
        if (isset($value[$prefix . 'fontcolor'])) $this->fontcolor = $value[$prefix . 'fontcolor'];
        if (isset($value[$prefix . 'preset_image'])) $this->preset_image = $value[$prefix . 'preset_image'];
        if (isset($value[$prefix . 'custom_image'])) $this->custom_image = $value[$prefix . 'custom_image'];
        if (isset($value[$prefix . 'img_attachment'])) $this->img_attachment = $value[$prefix . 'img_attachment'];
        if (isset($value[$prefix . 'img_overlay'])) $this->img_overlay = $value[$prefix . 'img_overlay'];
        if (isset($value[$prefix . 'mod_layout'])) $this->mod_layout = $value[$prefix . 'mod_layout'];
        if (isset($value[$prefix . 'mod_style'])) $this->mod_style = $value[$prefix . 'mod_style'];
        if (isset($value[$prefix . 'animation'])) $this->animation = $value[$prefix . 'animation'];
        if (isset($value[$prefix . 'sticky'])) $this->sticky = $value[$prefix . 'sticky'];
        //load panel
        $this->loadPanel();
    }
    // build and load panel
    public function loadPanel()
    {
        //build panel body
        echo '<div id="' . $this->position . '" ' . $this->panelStyle() . $this->sticky() . '>';
        if ($this->custom_image != null and $this->img_overlay == 1)
            echo '<div class="uk-overlay-background" style="margin: -' . $this->padding . 'px 0; padding: ' . $this->padding . 'px 0;">';//horisontal panel with container
        if ($this->panel_layout == 1) echo '<div class="uk-container uk-container-center"' . $this->animation() . '>
            <div class="uk-grid" data-uk-grid-match="{target:\'.uk-panel\'}">';
        $document = JFactory::getDocument();
        $renderer = $document->loadRenderer('modules');
        if ($this->panel_layout == 1) {
            $options = array('style' => $this->width());
        } elseif ($this->panel_layout == 2) {
            $options = array('style' => 'ok1' . $this->moduleBoxed());
        } else {
            $options = array('style' => 'none');
        }
        echo $renderer->render('' . $this->position . '', $options, null);
        if ($this->panel_layout == 1) echo '</div></div>';//horisontal panel with container
        if ($this->custom_image != null and $this->img_overlay == 1) echo '</div>';
        echo '</div>';
    }
    //makes panel style
    public function panelStyle()
    {
        //padding
        if ($this->panel_layout == 1) {
            $padding = 'padding: ' . $this->padding . 'px 0; ';
        } else {
            $padding = '';
        }
        //background color
        if ($this->background != null) {
            $bgcolor = ' background-color: ' . $this->background . ';';
        } else {
            $bgcolor = '';
        }
        //custom custom_image
        if ($this->custom_image != null) {
            $bg_image = ' background-image: url(\'' . JURI::base(true) . $this->custom_image . '\'); background-position: center top; background-attachment: ' . $this->img_attachment . ';';
        } else {
            if ($this->preset_image != null) {
                $bg_image = ' background-image: url(\'' . $this->templateImages . $this->preset_image . '\'); background-position: center top;';
            } else {
                $bg_image = '';
            }
        }
        //font color
        if ($this->fontcolor != null) {
            $fontcolor = ' color: ' . $this->fontcolor . ';';
        } else {
            $fontcolor = '';
        }
        // final style or null
        if ($padding != null or $bgcolor != null or $bg_image != null or $fontcolor != null) {
            $style = ' style="' . $padding . $bgcolor . $bg_image . $fontcolor . '"';
        } else {
            $style = '';
        }
        return $style;
    }
//        defines if boxed style
    protected function moduleBoxed()
    {
        if ($this->mod_style == 1 or $this->sticky == 42) {
            $boxed_modules = 'box';
        } else {
            $boxed_modules = '';
        }
        return $boxed_modules;
    }
    //counts modules width class  and adds boxed class
    public function width()
    {
// dev requred to be checked, seems something nod needful
        if ($this->mod_layout == 0) {
            $width = 'ok1' . $this->moduleBoxed();
        } else {
            if (count(JModuleHelper::getModules($this->position))) {
                $total_modules = count(JModuleHelper::getModules($this->position));
                if ($total_modules <= 4) {
                    $width = 'ok' . $total_modules . $this->moduleBoxed();
                } else {
                    $width = 'ok4' . $this->moduleBoxed();
                }
            } else {
                $width = 'ok1' . $this->moduleBoxed();
            }
        }
        return $width;
    }
    //makes animation attribute - not used in footer
    public function animation()
    {
        if ($this->animation !== 0) {
            $animation = ' data-uk-scrollspy="{cls:\'' . $this->animation . '\', repeat: true, delay:300}"';
        } else {
            $animation = '';
        }
        return $animation;
    }
    // make sticky attribute - for sidebar only
    public function sticky()
    {
        if ($this->sticky == 42) {
            $sticky_atr = ' data-uk-sticky="{boundary: true}"';
        } else {
            $sticky_atr = '';
        }
        return $sticky_atr;
    }
}
$panel = new Panel();